# Class Tables

java.lang.Object
com.io7m.cardant.database.postgres.internal.Tables

public class Tables extends Object
Convenience access to all tables in the default schema.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Audit`
  `AUDIT`
  The table `AUDIT`.
  `static final Files`
  `FILES`
  The table `FILES`.
  `static final ItemAttachments`
  `ITEM_ATTACHMENTS`
  The table `ITEM_ATTACHMENTS`.
  `static final ItemMetadata`
  `ITEM_METADATA`
  The table `ITEM_METADATA`.
  `static final ItemMetadataIntegral`
  `ITEM_METADATA_INTEGRAL`
  The table `ITEM_METADATA_INTEGRAL`.
  `static final ItemMetadataMoney`
  `ITEM_METADATA_MONEY`
  The table `ITEM_METADATA_MONEY`.
  `static final ItemMetadataReal`
  `ITEM_METADATA_REAL`
  The table `ITEM_METADATA_REAL`.
  `static final ItemMetadataText`
  `ITEM_METADATA_TEXT`
  The table `ITEM_METADATA_TEXT`.
  `static final ItemMetadataTime`
  `ITEM_METADATA_TIME`
  The table `ITEM_METADATA_TIME`.
  `static final ItemSearchView`
  `ITEM_SEARCH_VIEW`
  The table `ITEM_SEARCH_VIEW`.
  `static final ItemTypes`
  `ITEM_TYPES`
  The table `ITEM_TYPES`.
  `static final Items`
  `ITEMS`
  The table `ITEMS`.
  `static final LocationAttachments`
  `LOCATION_ATTACHMENTS`
  The table `LOCATION_ATTACHMENTS`.
  `static final LocationMetadata`
  `LOCATION_METADATA`
  The table `LOCATION_METADATA`.
  `static final LocationSearchView`
  `LOCATION_SEARCH_VIEW`
  The table `LOCATION_SEARCH_VIEW`.
  `static final LocationTypes`
  `LOCATION_TYPES`
  The table `LOCATION_TYPES`.
  `static final Locations`
  `LOCATIONS`
  The table `LOCATIONS`.
  `static final MetadataTypePackages`
  `METADATA_TYPE_PACKAGES`
  The table `METADATA_TYPE_PACKAGES`.
  `static final MetadataTypes`
  `METADATA_TYPES`
  The table `METADATA_TYPES`.
  `static final SchemaVersion`
  `SCHEMA_VERSION`
  The table `SCHEMA_VERSION`.
  `static final Stock`
  `STOCK`
  The table `STOCK`.
  `static final Users`
  `USERS`
  The table `USERS`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Tables()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### AUDIT

    public static final Audit AUDIT
    The table `AUDIT`.

  - ### FILES

    public static final Files FILES
    The table `FILES`.

  - ### ITEM_ATTACHMENTS

    public static final ItemAttachments ITEM_ATTACHMENTS
    The table `ITEM_ATTACHMENTS`.

  - ### ITEM_METADATA

    public static final ItemMetadata ITEM_METADATA
    The table `ITEM_METADATA`.

  - ### ITEM_METADATA_INTEGRAL

    public static final ItemMetadataIntegral ITEM_METADATA_INTEGRAL
    The table `ITEM_METADATA_INTEGRAL`.

  - ### ITEM_METADATA_MONEY

    public static final ItemMetadataMoney ITEM_METADATA_MONEY
    The table `ITEM_METADATA_MONEY`.

  - ### ITEM_METADATA_REAL

    public static final ItemMetadataReal ITEM_METADATA_REAL
    The table `ITEM_METADATA_REAL`.

  - ### ITEM_METADATA_TEXT

    public static final ItemMetadataText ITEM_METADATA_TEXT
    The table `ITEM_METADATA_TEXT`.

  - ### ITEM_METADATA_TIME

    public static final ItemMetadataTime ITEM_METADATA_TIME
    The table `ITEM_METADATA_TIME`.

  - ### ITEM_SEARCH_VIEW

    public static final ItemSearchView ITEM_SEARCH_VIEW
    The table `ITEM_SEARCH_VIEW`.

  - ### ITEM_TYPES

    public static final ItemTypes ITEM_TYPES
    The table `ITEM_TYPES`.

  - ### ITEMS

    public static final Items ITEMS
    The table `ITEMS`.

  - ### LOCATION_ATTACHMENTS

    public static final LocationAttachments LOCATION_ATTACHMENTS
    The table `LOCATION_ATTACHMENTS`.

  - ### LOCATION_METADATA

    public static final LocationMetadata LOCATION_METADATA
    The table `LOCATION_METADATA`.

  - ### LOCATION_SEARCH_VIEW

    public static final LocationSearchView LOCATION_SEARCH_VIEW
    The table `LOCATION_SEARCH_VIEW`.

  - ### LOCATION_TYPES

    public static final LocationTypes LOCATION_TYPES
    The table `LOCATION_TYPES`.

  - ### LOCATIONS

    public static final Locations LOCATIONS
    The table `LOCATIONS`.

  - ### METADATA_TYPE_PACKAGES

    public static final MetadataTypePackages METADATA_TYPE_PACKAGES
    The table `METADATA_TYPE_PACKAGES`.

  - ### METADATA_TYPES

    public static final MetadataTypes METADATA_TYPES
    The table `METADATA_TYPES`.

  - ### SCHEMA_VERSION

    public static final SchemaVersion SCHEMA_VERSION
    The table `SCHEMA_VERSION`.

  - ### STOCK

    public static final Stock STOCK
    The table `STOCK`.

  - ### USERS

    public static final Users USERS
    The table `USERS`.

- ## Constructor Details

  - ### Tables

    public Tables()